Index: branches/2.0singleton/bin/module_maker/form_template.cli.php
===================================================================
--- branches/2.0singleton/bin/module_maker/form_template.cli.php	(revision 122)
+++ branches/2.0singleton/bin/module_maker/form_template.cli.php	(revision 127)
@@ -24,5 +24,5 @@
 // Make sure requested table is in database.
 if (!in_array($db_tbl, $tables)) {
-    die(sprintf("%s Warning: %s does not exist in database %s. Please select one of: \n\n%s\n\n", basename($_SERVER['argv'][0]), $db_tbl, App::getParam('db_name'), join("\n", $tables)));
+    die(sprintf("%s Warning: %s does not exist in database %s. Please select one of: \n\n%s\n\n", basename($_SERVER['argv'][0]), $db_tbl, $app->getParam('db_name'), join("\n", $tables)));
 }
 
@@ -65,7 +65,7 @@
 <label for="$field"<\x3fphp \$fv->err('$field') \x3f>><\x3fphp echo _("$title"); \x3f></label>
 <select name="$field" id="$field" class="sc-small"><\x3fphp printSelectForm('<##>_tbl', "CONCAT(<##>_id, '&mdash;', <##>)", '$field', \$frm['$field'], true, 'ORDER BY $field ASC'); \x3f></select>
-    <span class="commanditem commandtext"><a href="<\x3fphp echo App::oHREF('<##>.php?op=add&boomerang=true'); \x3f>" onClick="javascript:return confirm('<\x3fphp echo _("Notice: You are about to leave this form page and any changes you may have made without saving will be lost."); \x3f>')"><\x3fphp echo _("Add <##>") \x3f></a></span>
+    <span class="commanditem commandtext"><a href="<\x3fphp echo \$app->oHREF('<##>.php?op=add&boomerang=true'); \x3f>" onClick="javascript:return confirm('<\x3fphp echo _("Notice: You are about to leave this form page and any changes you may have made without saving will be lost."); \x3f>')"><\x3fphp echo _("Add <##>") \x3f></a></span>
     <\x3fphp if ('' != \$frm['<##>_id']) { \x3f>
-    <span class="commanditem commandtext"><a href="<\x3fphp echo App::oHREF('<##>.php?op=edit&boomerang=true&<##>_id=' . \$frm['<##>_id']); \x3f>" onClick="javascript:return confirm('<\x3fphp echo _("Notice: You are about to leave this form page and any changes you may have made without saving will be lost."); \x3f>')"><\x3fphp echo sprintf(_("Edit <##> <em>%s</em>"), \$frm['<##>']) \x3f></a></span>
+    <span class="commanditem commandtext"><a href="<\x3fphp echo \$app->oHREF('<##>.php?op=edit&boomerang=true&<##>_id=' . \$frm['<##>_id']); \x3f>" onClick="javascript:return confirm('<\x3fphp echo _("Notice: You are about to leave this form page and any changes you may have made without saving will be lost."); \x3f>')"><\x3fphp echo sprintf(_("Edit <##> <em>%s</em>"), \$frm['<##>']) \x3f></a></span>
     <\x3fphp } \x3f>
 E_O_F;
Index: branches/2.0singleton/bin/module_maker/list_template.cli.php
===================================================================
--- branches/2.0singleton/bin/module_maker/list_template.cli.php	(revision 122)
+++ branches/2.0singleton/bin/module_maker/list_template.cli.php	(revision 127)
@@ -37,5 +37,5 @@
 // Make sure requested table is in database.
 if (!in_array($db_tbl, $tables)) {
-    die(sprintf("%s Warning: %s does not exist in database %s. Please select one of: \n\n%s\n\n", basename($_SERVER['argv'][0]), $db_tbl, App::getParam('db_name'), join("\n", $tables)));
+    die(sprintf("%s Warning: %s does not exist in database %s. Please select one of: \n\n%s\n\n", basename($_SERVER['argv'][0]), $db_tbl, $app->getParam('db_name'), join("\n", $tables)));
 }
 
@@ -80,11 +80,11 @@
             $listrows[] = "<\x3fphp echo strlen(\$list[\$i]['$field'])<50 \x3f oTxt(\$list[\$i]['$field'], true) : oTxt(trim(substr(\$list[\$i]['$field'], 0, 50)) . '...'); \x3f>";
         } else if (preg_match('/.*(begin|start).*date.*/i', $field)) {
-            $listrows[] = "<\x3fphp echo '0000-00-00' == \$list[\$i]['$field'] ? '' : date(App::getParam('date_format'), strtotime(\$list[\$i]['$field'])); \x3f>";
+            $listrows[] = "<\x3fphp echo '0000-00-00' == \$list[\$i]['$field'] ? '' : date(\$app->getParam('date_format'), strtotime(\$list[\$i]['$field'])); \x3f>";
         } else if (preg_match('/.*(end|expire).*date.*/i', $field)) {
-            $listrows[] = "<\x3fphp echo '9999-12-31' == \$list[\$i]['$field'] ? '' : date(App::getParam('date_format'), strtotime(\$list[\$i]['$field'])); \x3f>";
+            $listrows[] = "<\x3fphp echo '9999-12-31' == \$list[\$i]['$field'] ? '' : date(\$app->getParam('date_format'), strtotime(\$list[\$i]['$field'])); \x3f>";
         } else if (preg_match('/datetime/i', $type)) {
-            $listrows[] = "<\x3fphp echo '0000-00-00 00:00:00' == \$list[\$i]['$field'] ? '' : date(App::getParam('date_format'), strtotime(\$list[\$i]['$field'])); \x3f>";
+            $listrows[] = "<\x3fphp echo '0000-00-00 00:00:00' == \$list[\$i]['$field'] ? '' : date(\$app->getParam('date_format'), strtotime(\$list[\$i]['$field'])); \x3f>";
         } else if (preg_match('/date/i', $type)) {
-            $listrows[] = "<\x3fphp echo '0000-00-00' == \$list[\$i]['$field'] ? '' : date(App::getParam('date_format'), strtotime(\$list[\$i]['$field'])); \x3f>";
+            $listrows[] = "<\x3fphp echo '0000-00-00' == \$list[\$i]['$field'] ? '' : date(\$app->getParam('date_format'), strtotime(\$list[\$i]['$field'])); \x3f>";
         } else if (preg_match('/(amount|_rate)/i', $field)) {
             $listrows[] = "<\x3fphp printf('$%01.2f', \$list[\$i]['$field']); \x3f>";
@@ -110,6 +110,6 @@
 <div id="commandbox">
 <form action="<\x3fphp echo \$_SERVER['PHP_SELF']; \x3f>" method="get">
-<\x3fphp App::printHiddenSession(false); \x3f>
-    <span class="sc-nowrap commandtext"><a href="<\x3fphp echo App::oHREF(\$_SERVER['PHP_SELF'] . '?op=add'); \x3f>"><\x3fphp echo _("Add <##>"); \x3f></a></span>
+<\x3fphp \$app->printHiddenSession(false); \x3f>
+    <span class="sc-nowrap commandtext"><a href="<\x3fphp echo \$app->oHREF(\$_SERVER['PHP_SELF'] . '?op=add'); \x3f>"><\x3fphp echo _("Add <##>"); \x3f></a></span>
     <br />
 
@@ -149,6 +149,6 @@
     <\x3fphp for (\$i = 0; \$i <= \$page->last_item - \$page->first_item && \$page->total_items > 0; \$i++) { \x3f>
     <tr>
-        <td class="sc-nowrap"><a title="<\x3fphp printf(_("Edit %s"), oTxt(\$list[\$i]['<##>'])) \x3f>" href="<\x3fphp echo App::oHREF(\$_SERVER['PHP_SELF'] . '?op=edit&$primary_key=' . \$list[\$i]['$primary_key']); \x3f>"><img src="/admin/_widgets/edit.gif" alt="Edit" width="14" height="18" border="0"></a> &nbsp;</td>
-        <td class="sc-nowrap"><a title="<\x3fphp printf(_("Versions of %s"), oTxt(\$list[\$i]['<##>'])) \x3f>" href="<\x3fphp echo App::oHREF("/admin/versions.php?record_table=$db_tbl&record_key=$primary_key&boomerang=true&record_val=" . \$list[\$i]['$primary_key']); \x3f>"><img src="/admin/_widgets/subcategory.gif" alt="" width="18" height="14" border="0" /></a> &nbsp;</td>
+        <td class="sc-nowrap"><a title="<\x3fphp printf(_("Edit %s"), oTxt(\$list[\$i]['<##>'])) \x3f>" href="<\x3fphp echo \$app->oHREF(\$_SERVER['PHP_SELF'] . '?op=edit&$primary_key=' . \$list[\$i]['$primary_key']); \x3f>"><img src="/admin/_widgets/edit.gif" alt="Edit" width="14" height="18" border="0"></a> &nbsp;</td>
+        <td class="sc-nowrap"><a title="<\x3fphp printf(_("Versions of %s"), oTxt(\$list[\$i]['<##>'])) \x3f>" href="<\x3fphp echo \$app->oHREF("/admin/versions.php?record_table=$db_tbl&record_key=$primary_key&boomerang=true&record_val=" . \$list[\$i]['$primary_key']); \x3f>"><img src="/admin/_widgets/subcategory.gif" alt="" width="18" height="14" border="0" /></a> &nbsp;</td>
 
 E_O_F;
@@ -164,5 +164,5 @@
 
 echo isset($op) ? '' : <<<E_O_F
-        <td class="sc-nowrap" align="right"><a title="<\x3fphp printf(_("Delete %s"), oTxt(\$list[\$i]['<##>'])) \x3f>" href="<\x3fphp echo App::oHREF(\$_SERVER['PHP_SELF'] . "?op=del&$primary_key=" . \$list[\$i]['$primary_key']); \x3f>" onClick="javascript:return confirm('<\x3fphp printf(_("Are you sure you want to delete the record %s? This action is permanent and cannot be undone."), oTxt(\$list[\$i]['<##>'])) \x3f>')"><img src="/admin/_widgets/delete.gif" alt="Delete" width="16" height="17" border="0"></a> &nbsp;</td>
+        <td class="sc-nowrap" align="right"><a title="<\x3fphp printf(_("Delete %s"), oTxt(\$list[\$i]['<##>'])) \x3f>" href="<\x3fphp echo \$app->oHREF(\$_SERVER['PHP_SELF'] . "?op=del&$primary_key=" . \$list[\$i]['$primary_key']); \x3f>" onClick="javascript:return confirm('<\x3fphp printf(_("Are you sure you want to delete the record %s? This action is permanent and cannot be undone."), oTxt(\$list[\$i]['<##>'])) \x3f>')"><img src="/admin/_widgets/delete.gif" alt="Delete" width="16" height="17" border="0"></a> &nbsp;</td>
     </tr>
     <\x3fphp } \x3f>
Index: branches/2.0singleton/bin/module_maker/module.cli.php
===================================================================
--- branches/2.0singleton/bin/module_maker/module.cli.php	(revision 122)
+++ branches/2.0singleton/bin/module_maker/module.cli.php	(revision 127)
@@ -136,5 +136,5 @@
 // Make sure requested table is in database.
 if (!in_array($db_tbl, $tables)) {
-    die(sprintf("%s Warning: %s does not exist in database %s. Please select one of: \n\n%s\n\n", basename($_SERVER['argv'][0]), $db_tbl, App::getParam('db_name'), join("\n", $tables)));
+    die(sprintf("%s Warning: %s does not exist in database %s. Please select one of: \n\n%s\n\n", basename($_SERVER['argv'][0]), $db_tbl, $app->getParam('db_name'), join("\n", $tables)));
 }
 
@@ -266,5 +266,5 @@
         // If file upload errors, redirect to edit operation for the inserted record.
         if (\$upload->anyErrors() || false === \$new_file) {
-            App::dieURL(\$_SERVER['PHP_SELF'] . '?op=edit&%PRIMARY_KEY%=' . \$%PRIMARY_KEY%);
+            \$app->dieURL(\$_SERVER['PHP_SELF'] . '?op=edit&%PRIMARY_KEY%=' . \$%PRIMARY_KEY%);
         }
 E_O_F;
@@ -300,5 +300,5 @@
 
 $search['date'] = '/%DATE%/';
-$replace['date'] = date(App::getParam('date_format'));
+$replace['date'] = date($app->getParam('date_format'));
 
 $search['name_plural'] = '/%NAME_PLURAL%/';
Index: branches/2.0singleton/bin/module_maker/skel/admin.php
===================================================================
--- branches/2.0singleton/bin/module_maker/skel/admin.php	(revision 122)
+++ branches/2.0singleton/bin/module_maker/skel/admin.php	(revision 127)
@@ -11,5 +11,5 @@
 $auth->requireLogin();
 // $auth->requireAccessClearance(ZONE_ADMIN_%NAME_UPPER%);
-App::sslOn();
+$app->sslOn();
 
 require_once 'codebase/lib/PageNumbers.inc.php';
@@ -41,6 +41,6 @@
 
 // Search limiters retain their values between page requests.
-App::carryQuery('search_query');
-App::carryQuery('filter_<##>');
+$app->carryQuery('search_query');
+$app->carryQuery('filter_<##>');
 %ADMIN_UPLOAD_CONFIG%
 /******************************************************************************
@@ -51,5 +51,5 @@
 // allows us to remember which page we came from so we can go back there.
 if (getFormData('boomerang', false) && isset($_SERVER['HTTP_REFERER'])) {
-    App::setBoomerangURL($_SERVER['HTTP_REFERER'], '%NAME_PLURAL%');
+    $app->setBoomerangURL($_SERVER['HTTP_REFERER'], '%NAME_PLURAL%');
 }
 
@@ -81,10 +81,10 @@
 //     $auth->requireAccessClearance(ZONE_ADMIN_%NAME_UPPER%_FUNC_DELETE);
     deleteRecord(getFormData('%PRIMARY_KEY%'));%ADMIN_UPLOAD_DEL%
-    if (App::validBoomerangURL('%NAME_PLURAL%')) {
+    if ($app->validBoomerangURL('%NAME_PLURAL%')) {
         // Display boomerang page.
-        App::dieBoomerangURL('%NAME_PLURAL%');
+        $app->dieBoomerangURL('%NAME_PLURAL%');
     }
     // Display default page.
-    App::dieURL($_SERVER['PHP_SELF']);
+    $app->dieURL($_SERVER['PHP_SELF']);
     break;
 
@@ -92,10 +92,10 @@
 //     $auth->requireAccessClearance(ZONE_ADMIN_%NAME_UPPER%_FUNC_ADD);
     if (getFormdata('cancel', false)) {
-        if (App::validBoomerangURL('%NAME_PLURAL%')) {
+        if ($app->validBoomerangURL('%NAME_PLURAL%')) {
             // Display boomerang page.
-            App::dieBoomerangURL('%NAME_PLURAL%');
+            $app->dieBoomerangURL('%NAME_PLURAL%');
         }
         // Display default page.
-        App::dieURL($_SERVER['PHP_SELF']);
+        $app->dieURL($_SERVER['PHP_SELF']);
     }
     validateInput();
@@ -109,11 +109,11 @@
         if (getFormdata('repeat', false)) {
             // Display function again.
-            App::dieURL($_SERVER['PHP_SELF'] . '?op=add');
-        } else if (App::validBoomerangURL('%NAME_PLURAL%')) {
+            $app->dieURL($_SERVER['PHP_SELF'] . '?op=add');
+        } else if ($app->validBoomerangURL('%NAME_PLURAL%')) {
             // Display boomerang page.
-            App::dieBoomerangURL('%NAME_PLURAL%');
+            $app->dieBoomerangURL('%NAME_PLURAL%');
         }
         // Display default page.
-        App::dieURL($_SERVER['PHP_SELF']);
+        $app->dieURL($_SERVER['PHP_SELF']);
     }
     break;
@@ -122,6 +122,6 @@
 //     $auth->requireAccessClearance(ZONE_ADMIN_%NAME_UPPER%_FUNC_EDIT);
     if (getFormdata('reset', false)) {
-        App::raiseMsg(_("Saved values have been reloaded."), MSG_NOTICE, __FILE__, __LINE__);
-        App::dieURL($_SERVER['PHP_SELF'] . '?op=edit&%PRIMARY_KEY%=' . getFormData('%PRIMARY_KEY%'));
+        $app->raiseMsg(_("Saved values have been reloaded."), MSG_NOTICE, __FILE__, __LINE__);
+        $app->dieURL($_SERVER['PHP_SELF'] . '?op=edit&%PRIMARY_KEY%=' . getFormData('%PRIMARY_KEY%'));
     }
     if (getFormdata('cancel', false)) {
@@ -129,10 +129,10 @@
         $lock->select('%DB_TBL%', '%PRIMARY_KEY%', getFormData('%PRIMARY_KEY%'));
         $lock->remove();
-        if (App::validBoomerangURL('%NAME_PLURAL%')) {
+        if ($app->validBoomerangURL('%NAME_PLURAL%')) {
             // Display boomerang page.
-            App::dieBoomerangURL('%NAME_PLURAL%');
+            $app->dieBoomerangURL('%NAME_PLURAL%');
         }
         // Display default page.
-        App::dieURL($_SERVER['PHP_SELF']);
+        $app->dieURL($_SERVER['PHP_SELF']);
     }
     validateInput();
@@ -148,14 +148,14 @@
             $qid = DB::query("SELECT %PRIMARY_KEY% FROM %DB_TBL% WHERE %PRIMARY_KEY% > '" . DB::escapeString(getFormData('%PRIMARY_KEY%')) . "' ORDER BY %PRIMARY_KEY% ASC LIMIT 1");
             if (list($next_id) = mysql_fetch_row($qid)) {
-                App::dieURL($_SERVER['PHP_SELF'] . '?op=edit&%PRIMARY_KEY%=' . $next_id);
+                $app->dieURL($_SERVER['PHP_SELF'] . '?op=edit&%PRIMARY_KEY%=' . $next_id);
             } else {
-                App::raiseMsg(_("Cannot edit next, the end of the list was reached"), MSG_NOTICE, __FILE__, __LINE__);
+                $app->raiseMsg(_("Cannot edit next, the end of the list was reached"), MSG_NOTICE, __FILE__, __LINE__);
             }
-        } else if (App::validBoomerangURL('%NAME_PLURAL%')) {
+        } else if ($app->validBoomerangURL('%NAME_PLURAL%')) {
             // Display boomerang page.
-            App::dieBoomerangURL('%NAME_PLURAL%');
+            $app->dieBoomerangURL('%NAME_PLURAL%');
         }
         // Display default page.
-        App::dieURL($_SERVER['PHP_SELF']);
+        $app->dieURL($_SERVER['PHP_SELF']);
     }
     break;
@@ -164,5 +164,5 @@
 //     $auth->requireAccessClearance(ZONE_ADMIN_PROGRAMS_FUNC_REORDER);
     updateRank(getFormData('rank'));
-    App::dieURL($_SERVER['PHP_SELF']);
+    $app->dieURL($_SERVER['PHP_SELF']);
     break;
 
@@ -220,7 +220,7 @@
     ");
     if (!$frm = mysql_fetch_assoc($qid)) {
-        App::logMsg('Could not find record with %PRIMARY_KEY%: ' . $id, LOG_WARNING, __FILE__, __LINE__);
-        App::raiseMsg(sprintf(_("The requested record %s could not be found."), $id), MSG_ERR, __FILE__, __LINE__);
-        App::dieBoomerangURL();
+        $app->logMsg('Could not find record with %PRIMARY_KEY%: ' . $id, LOG_WARNING, __FILE__, __LINE__);
+        $app->raiseMsg(sprintf(_("The requested record %s could not be found."), $id), MSG_ERR, __FILE__, __LINE__);
+        $app->dieBoomerangURL();
     }
 
@@ -262,7 +262,7 @@
     ");
     if (! list($name) = mysql_fetch_row($qid)) {
-        App::logMsg('Could not find record with %PRIMARY_KEY%: ' . $id, LOG_WARNING, __FILE__, __LINE__);
-        App::raiseMsg(sprintf(_("The requested record %s could not be found."), $id), MSG_ERR, __FILE__, __LINE__);
-        App::dieBoomerangURL();
+        $app->logMsg('Could not find record with %PRIMARY_KEY%: ' . $id, LOG_WARNING, __FILE__, __LINE__);
+        $app->raiseMsg(sprintf(_("The requested record %s could not be found."), $id), MSG_ERR, __FILE__, __LINE__);
+        $app->dieBoomerangURL();
     }
 
@@ -270,5 +270,5 @@
     DB::query("DELETE FROM %DB_TBL% WHERE %PRIMARY_KEY% = '" . DB::escapeString($id) . "'");
 
-    App::raiseMsg(sprintf(_("The %ITEM_TITLE% <strong>%s</strong> has been deleted."), $name), MSG_SUCCESS, __FILE__, __LINE__);
+    $app->raiseMsg(sprintf(_("The %ITEM_TITLE% <strong>%s</strong> has been deleted."), $name), MSG_SUCCESS, __FILE__, __LINE__);
 
     // Unlock record.
@@ -290,5 +290,5 @@
     $version->create('%DB_TBL%', '%PRIMARY_KEY%', $last_insert_id, $frm['<##>']);
 
-    App::raiseMsg(sprintf(_("The %ITEM_TITLE% <strong>%s</strong> has been added."), $frm['<##>']), MSG_SUCCESS, __FILE__, __LINE__);
+    $app->raiseMsg(sprintf(_("The %ITEM_TITLE% <strong>%s</strong> has been added."), $frm['<##>']), MSG_SUCCESS, __FILE__, __LINE__);
 
     return $last_insert_id;
@@ -313,5 +313,5 @@
     $version->create('%DB_TBL%', '%PRIMARY_KEY%', $frm['%PRIMARY_KEY%'], $frm['<##>']);
 
-    App::raiseMsg(sprintf(_("The %ITEM_TITLE% <strong>%s</strong> has been updated."), $frm['<##>']), MSG_SUCCESS, __FILE__, __LINE__);
+    $app->raiseMsg(sprintf(_("The %ITEM_TITLE% <strong>%s</strong> has been updated."), $frm['<##>']), MSG_SUCCESS, __FILE__, __LINE__);
 
     // Unlock record.
@@ -399,5 +399,5 @@
 {
     if (!is_array($ranks)) {
-        App::logMsg('Saving rank failed, data posted is not an array: ' . $ranks, LOG_ERR, __FILE__, __LINE__);
+        $app->logMsg('Saving rank failed, data posted is not an array: ' . $ranks, LOG_ERR, __FILE__, __LINE__);
         return false;
     }
@@ -423,7 +423,7 @@
     }
 
-    App::raiseMsg(_("Records have been reordered with the new rank."), MSG_SUCCESS, __FILE__, __LINE__);
+    $app->raiseMsg(_("Records have been reordered with the new rank."), MSG_SUCCESS, __FILE__, __LINE__);
     if ($unspecified_counter > 0) {
-        App::raiseMsg(sprintf(_("%s items with unspecified ranks were automatically assigned a rank of 10000."), $unspecified_counter), MSG_NOTICE, __FILE__, __LINE__);
+        $app->raiseMsg(sprintf(_("%s items with unspecified ranks were automatically assigned a rank of 10000."), $unspecified_counter), MSG_NOTICE, __FILE__, __LINE__);
     }
 }
Index: branches/2.0singleton/bin/module_maker/skel/public.php
===================================================================
--- branches/2.0singleton/bin/module_maker/skel/public.php	(revision 122)
+++ branches/2.0singleton/bin/module_maker/skel/public.php	(revision 127)
@@ -42,6 +42,6 @@
     ");
     if (!$item = mysql_fetch_assoc($qid)) {
-        App::raiseMsg(_("Sorry that %ITEM_TITLE% could not be found"), MSG_WARNING, __FILE__, __LINE__);
-        App::dieBoomerangURL();
+        $app->raiseMsg(_("Sorry that %ITEM_TITLE% could not be found"), MSG_WARNING, __FILE__, __LINE__);
+        $app->dieBoomerangURL();
     }
 
Index: branches/2.0singleton/bin/module_maker/sql.cli.php
===================================================================
--- branches/2.0singleton/bin/module_maker/sql.cli.php	(revision 122)
+++ branches/2.0singleton/bin/module_maker/sql.cli.php	(revision 127)
@@ -37,5 +37,5 @@
 // Make sure requested table is in database.
 if (!in_array($db_tbl, $tables)) {
-    die(sprintf("%s Warning: %s does not exist in database %s. Please select one of: \n\n%s\n\n", basename($_SERVER['argv'][0]), $db_tbl, App::getParam('db_name'), join("\n", $tables)));
+    die(sprintf("%s Warning: %s does not exist in database %s. Please select one of: \n\n%s\n\n", basename($_SERVER['argv'][0]), $db_tbl, $app->getParam('db_name'), join("\n", $tables)));
 }
 
Index: branches/2.0singleton/bin/module_maker/validation.cli.php
===================================================================
--- branches/2.0singleton/bin/module_maker/validation.cli.php	(revision 122)
+++ branches/2.0singleton/bin/module_maker/validation.cli.php	(revision 127)
@@ -24,5 +24,5 @@
 // Make sure requested table is in database.
 if (!in_array($db_tbl, $tables)) {
-    die(sprintf("%s Warning: %s does not exist in database %s. Please select one of: \n\n%s\n\n", basename($_SERVER['argv'][0]), $db_tbl, App::getParam('db_name'), join("\n", $tables)));
+    die(sprintf("%s Warning: %s does not exist in database %s. Please select one of: \n\n%s\n\n", basename($_SERVER['argv'][0]), $db_tbl, $app->getParam('db_name'), join("\n", $tables)));
 }
 