Index: branches/2.0singleton/services/admins.php
===================================================================
--- branches/2.0singleton/services/admins.php	(revision 132)
+++ branches/2.0singleton/services/admins.php	(revision 135)
@@ -11,5 +11,5 @@
 
 require_once 'codebase/lib/PageNumbers.inc.php';
-require_once 'codebase/lib/SessionCache.inc.php';
+require_once 'codebase/lib/Cache.inc.php';
 require_once 'codebase/lib/FormValidator.inc.php';
 require_once 'codebase/lib/SortOrder.inc.php';
@@ -30,5 +30,5 @@
 $fv = new FormValidator();
 
-$cache =& SessionCache::getInstance();
+$cache =& Cache::getInstance();
 
 // Instantiate a sorting object with the default sort and order. Add SQL for each column.
@@ -71,5 +71,5 @@
 if (getFormData('break_list_cache', false)) {
     // Break the cache because we are changing the list data.
-    $cache->breakCache($_SERVER['PHP_SELF']);
+    $cache->delete($_SERVER['PHP_SELF']);
 }
 
@@ -319,5 +319,5 @@
 	$app =& App::getInstance();
 	$db =& DB::getInstance();
-	$cache =& SessionCache::getInstance();
+	$cache =& Cache::getInstance();
 	
     $lock->select('admin_tbl', 'admin_id', $id);
@@ -327,5 +327,5 @@
 
     // Break the cache because we are changing the list data.
-    $cache->breakCache($_SERVER['PHP_SELF']);
+    $cache->delete($_SERVER['PHP_SELF']);
 
     // Get the information for this object.
@@ -367,8 +367,8 @@
 	$app =& App::getInstance();
 	$db =& DB::getInstance();
-	$cache =& SessionCache::getInstance();
+	$cache =& Cache::getInstance();
 	
     // Break the cache because we are changing the list data.
-    $cache->breakCache($_SERVER['PHP_SELF']);
+    $cache->delete($_SERVER['PHP_SELF']);
 
     // Insert record data.
@@ -411,5 +411,5 @@
 	$app =& App::getInstance();
 	$db =& DB::getInstance();
-	$cache =& SessionCache::getInstance();
+	$cache =& Cache::getInstance();
 	
     $lock->select('admin_tbl', 'admin_id', $frm['admin_id']);
@@ -419,5 +419,5 @@
 
     // Break the cache because we are changing the list data.
-    $cache->breakCache($_SERVER['PHP_SELF']);
+    $cache->delete($_SERVER['PHP_SELF']);
 
     // If the userpass is left blank or with the filler **** characters, we don't want to update it.
@@ -456,5 +456,5 @@
 	$db =& DB::getInstance();
 	$prefs =& Prefs::getInstance();
-	$cache =& SessionCache::getInstance();
+	$cache =& Cache::getInstance();
 	
     $where_clause = '';
@@ -507,12 +507,12 @@
     // without knowing the hash.
     $cache_hash = md5($sql . '|' . $page->total_items);
-    if ($prefs->getValue('cache_hash', $_SERVER['PHP_SELF']) != $cache_hash) {
-        $cache->breakCache($_SERVER['PHP_SELF']);
-        $prefs->setValue('cache_hash', $cache_hash, $_SERVER['PHP_SELF']);
-    }
-
-    if ($cache->isCached($_SERVER['PHP_SELF']) && false) {
+    if ($prefs->get('cache_hash', $_SERVER['PHP_SELF']) != $cache_hash) {
+        $cache->delete($_SERVER['PHP_SELF']);
+        $prefs->set('cache_hash', $cache_hash, $_SERVER['PHP_SELF']);
+    }
+
+    if ($cache->exists($_SERVER['PHP_SELF']) && false) {
         // Get the cached results.
-        $list = $cache->getCache($_SERVER['PHP_SELF']);
+        $list = $cache->get($_SERVER['PHP_SELF']);
     } else {
         // If the list is not already cached, query now.
@@ -525,5 +525,5 @@
         if (isset($list) && !empty($list)) {
             // Cache the results.
-            $cache->putCache($list, $_SERVER['PHP_SELF']);
+            $cache->set($list, $_SERVER['PHP_SELF']);
         }
     }
Index: branches/2.0singleton/services/logout.php
===================================================================
--- branches/2.0singleton/services/logout.php	(revision 132)
+++ branches/2.0singleton/services/logout.php	(revision 135)
@@ -5,5 +5,5 @@
  */
 
-if (is_a($auth, 'Auth_SQL')) {
+if (isset($auth) && method_exists($auth, 'getVal')) {
     // Delete the current user's record locks.
     require_once 'codebase/lib/RecordLock.inc.php';
Index: branches/2.0singleton/services/logs.php
===================================================================
--- branches/2.0singleton/services/logs.php	(revision 132)
+++ branches/2.0singleton/services/logs.php	(revision 135)
@@ -40,9 +40,9 @@
 // Set the defaults and catch incoming settings.
 $prefs =& Prefs::getInstance();
-$prefs->setDefault('log_file', $app->getParam('log_filename'), 'logs_module');
-$prefs->setValue('log_file', getFormData('log'), 'logs_module');
+$prefs->default('log_file', $app->getParam('log_filename'), 'logs_module');
+$prefs->set('log_file', getFormData('log'), 'logs_module');
 
 // Titles and navigation header.
-$nav->addPage(sprintf(_("Viewing log: <em>%s</em>"), $prefs->getValue('log_file', 'logs_module')), '/admin/logs.php');
+$nav->addPage(sprintf(_("Viewing log: <em>%s</em>"), $prefs->get('log_file', 'logs_module')), '/admin/logs.php');
 
 /******************************************************************************
@@ -57,6 +57,6 @@
 case 'delete' :
 //     $auth->requireAccessClearance(ZONE_ADMIN_APPLOG_FUNC_RESET);
-    deleteLog($prefs->getValue('log_file', 'logs_module'));
-    $prefs->setValue('log_file', $app->getParam('log_filename'), 'logs_module');
+    deleteLog($prefs->get('log_file', 'logs_module'));
+    $prefs->set('log_file', $app->getParam('log_filename'), 'logs_module');
     if ($app->validBoomerangURL('app_log')) {
         // Display boomerang page.
@@ -69,5 +69,5 @@
 case 'clear' :
 //     $auth->requireAccessClearance(ZONE_ADMIN_APPLOG_FUNC_RESET);
-    clearLog($prefs->getValue('log_file', 'logs_module'));
+    clearLog($prefs->get('log_file', 'logs_module'));
     if ($app->validBoomerangURL('app_log')) {
         // Display boomerang page.
@@ -80,5 +80,5 @@
 case 'archive' :
 //     $auth->requireAccessClearance(ZONE_ADMIN_APPLOG_FUNC_RESET);
-    if (archiveLog($prefs->getValue('log_file', 'logs_module'))) {
+    if (archiveLog($prefs->get('log_file', 'logs_module'))) {
         // Now flush current log.
         $app->dieURL($_SERVER['PHP_SELF'] . '?op=clear');
@@ -98,11 +98,11 @@
 case 'download' :
     header('Content-Type: application/octet-stream');
-    header(sprintf('Content-Disposition: attachment; filename=%s.txt', $prefs->getValue('log_file', 'logs_module')));
-    printLog($prefs->getValue('log_file', 'logs_module'));
+    header(sprintf('Content-Disposition: attachment; filename=%s.txt', $prefs->get('log_file', 'logs_module')));
+    printLog($prefs->get('log_file', 'logs_module'));
     die;
     break;
 
 default :
-    $list =& getLog($prefs->getValue('log_file', 'logs_module'), getFormData('search_query'));
+    $list =& getLog($prefs->get('log_file', 'logs_module'), getFormData('search_query'));
     $main_template = 'log_list.ihtml';
     break;
@@ -126,5 +126,5 @@
 include 'header.ihtml';
 if ('output' == $main_template) {
-    printLog($prefs->getValue('log_file', 'logs_module'));
+    printLog($prefs->get('log_file', 'logs_module'));
 } else {
     include 'codebase/services/templates/' . $main_template;
Index: branches/2.0singleton/services/templates/log_list.ihtml
===================================================================
--- branches/2.0singleton/services/templates/log_list.ihtml	(revision 132)
+++ branches/2.0singleton/services/templates/log_list.ihtml	(revision 135)
@@ -10,5 +10,5 @@
         <tr class="commandtext">
             <td>
-                <?php if ($l['filename'] == $prefs->getValue('log_file', 'logs_module')) { ?>
+                <?php if ($l['filename'] == $prefs->get('log_file', 'logs_module')) { ?>
                     <span class="commanditem"><strong><?php echo sprintf(_("%s"), $l['filename']); ?></strong></span>
                 <?php } else { ?>